Subject: Re: Lunch/Lifting
From: [email-masked] (Steven Davis)
To: [email-masked]
Date: Wed, 12 Oct 94 11:13:19 CDT

!?! Whats this?  sheesh! personal mail?

Or are you inviting me to lunch?  Well ok, Can you give me the directions
from Hong Kong, and how much GAS do you think I`ll use?

> Hey Dudes,
> 
>      I've had a change of heart.  I can't lift on thursday, so
> who can make it on friday?  For lunch tomorrow, let's go to
> French's Salad House.  Take 495 to Rte 38.  Take a left at the
> light (end of ramp).  Go about 1.5 miles?  French's is on your right.
> The Dilly Dally Deli is about 0.3 miles before it on the right
> and there is an ice cream barn called the Snack Shack across the
> street from it.  How's 11:45?
> 
> Chris
>